protolabs42

Traverse memory graph

Traverse the memory graph starting from a given memory ID. Returns connected memories within the specified depth.

GET
/memory/graph/{id}

Traverse the memory graph starting from a given memory ID. Returns connected memories within the specified depth.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Path Parameters

id*string

Starting memory ID

Query Parameters

depth?integer

Graph traversal depth

Default2
Range1 <= value <= 5
relation_type?array<>

Filter by relation type

min_strength?number

Minimum edge strength

Range0 <= value <= 1
limit?integer

Maximum number of nodes to return

Default50
Range1 <= value <= 200

Response Body

application/json

application/json

application/json

curl -X GET "https://chorus.runclaw.run/memory/graph/string"
{
  "data": {
    "nodes": [
      {
        "id": "string",
        "content": "string",
        "memory_type": "string",
        "owner": "string",
        "namespace": "string",
        "entity": "string",
        "category": "string",
        "tags": [],
        "confidence": 1,
        "source": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "source_org": "string",
        "source_claw": "string",
        "deleted_at": "string",
        "expires_at": "string",
        "created_at": "string",
        "updated_at": "string",
        "edge": {
          "relation_type": "supports",
          "strength": 0
        }
      }
    ]
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}